server:
  port: ${SERVER_PORT:9040}
  servlet:
    context-path: /api/guangming

spel:
  scheduling: false
  multiSource: false

spring:
  profiles:
    active: ${SPRING_PROFILES_ACTIVE:dev}
  jpa:
    hibernate:
      ddl-auto: none
    open-in-view: false

guangming:
  mapping:
    table-suffix: ${GUANGMING_MAPPING_TABLE_SUFFIX:}
  dingtalk:
    appKey: ${GUANGMING_DINGTALK_APP_KEY:}
    appSecret: ${GUANGMING_DINGTALK_APP_SECRET:}
    corpId: ${GUANGMING_DINGTALK_CORP_ID:}
  mailSso:
    ssoUrl: ${GUANGMING_MAIL_SSO_URL:}
    publicKey: ${GUANGMING_MAIL_SSO_PUBLIC_KEY:}
